Неофициальная сборка новой plasma5

Аватара пользователя
VictorR2007
Сообщения: 5549
Зарегистрирован: 12 сен 2011, 13:00
Operating system: ROSA 2016.1
Откуда: Северодвинск

Неофициальная сборка новой plasma5

Сообщение VictorR2007 » 11 янв 2019, 12:32

Zeffanyx писал(а):
11 янв 2019, 11:43
При выборе пункта "Завершить сеанс" или другого пункта, связанного с выключением, раньше был красивый эффект плавного затенения. В 5.14.5 затенение происходит быстро и без этого эффекта. Интересно, это в апстриме так сделали?
Не, это я их отключил по умолчанию.
Можно включить в «Параметры системы - Поведение рабочей среды - Эффекты».
Эффекты «Вход в систему» и «Завершение работы».
Эффекты переписывают активно, и одно время эти эффекты не очень хорошо работали, вот и выключил их по умолчанию.
Так же пока не работает кнопка, показанная на картинке.
Этот виджет переключения рабочих столов не работал в сеансе wayland вообще.
Его переписали и сейчас он работает в обоих сеансах,
но настройка открывается пока только через «Параметры системы - Поведение рабочей среды - Рабочие столы»
Надеюсь, к выходу plasma 5.15.0 починят.
Кстати, забыл написать, что «Параметры системы - Локализация» перенесли из пакета plasma5-desktop,
в пакет plasma5-workspace.
При установке обновления будет ругаться, и после этого нужно дать команды

Код: Выделить всё

rpm -e --nodeps plasma5-desktop
а потом

Код: Выделить всё

urpmi plasma5-desktop
и можно обновлять далее.
Вложения
Screenshot_20190111_121422.jpeg

Аватара пользователя
Zeffanyx
Сообщения: 1204
Зарегистрирован: 12 сен 2011, 14:25
Operating system: Rosa Fresh R11, OpenMandriva Lx 4 (Cooker)
Откуда: Санкт-Петербург

Неофициальная сборка новой plasma5

Сообщение Zeffanyx » 11 янв 2019, 16:27

VictorR2007 писал(а):
11 янв 2019, 12:32
Не, это я их отключил по умолчанию.
Можно включить в «Параметры системы - Поведение рабочей среды - Эффекты».
Эффекты «Вход в систему» и «Завершение работы».
Эффекты переписывают активно, и одно время эти эффекты не очень хорошо работали, вот и выключил их по умолчанию.
Так же пока не работает кнопка, показанная на картинке.
Этот виджет переключения рабочих столов не работал в сеансе wayland вообще.
Его переписали и сейчас он работает в обоих сеансах,
Спасибо за разъяснение!

Аватара пользователя
VictorR2007
Сообщения: 5549
Зарегистрирован: 12 сен 2011, 13:00
Operating system: ROSA 2016.1
Откуда: Северодвинск

Неофициальная сборка новой plasma5

Сообщение VictorR2007 » 16 янв 2019, 07:26

Есть небольшая ошибка с установкой одного пакета.
Сам прозевал, что переименовал один пакет из breeze,
и он не обновляется самостоятельно.
Пакет переименован в последнем архиве.
Если ранее были установлены сборки из этой темы, то нужно удалить командой

Код: Выделить всё

rpm -e --nodeps lib64breezecommon5
а потом установить командой

Код: Выделить всё

urpmi lib64breezecommon5_5
На сегодня это не проблема, но при выходе версии 5.14.90 уже будет видно, например, в декорации окон.

Аватара пользователя
VictorR2007
Сообщения: 5549
Зарегистрирован: 12 сен 2011, 13:00
Operating system: ROSA 2016.1
Откуда: Северодвинск

Неофициальная сборка новой plasma5

Сообщение VictorR2007 » 18 янв 2019, 11:55

Вышла plasma5-5.14.90 https://www.kde.org/announcements/plasma-5.14.90.php
Архив с этой сборкой https://yadi.sk/d/HSr6snBdkZ7Kgg
Идёт как замена предыдущей сборкой.
Так же действительно предыдущее сообщение выше
Есть небольшая ошибка с установкой одного пакета.
Сам прозевал, что переименовал один пакет из breeze,
и он не обновляется самостоятельно.
Пакет переименован в последнем архиве.
Если ранее были установлены сборки из этой темы, то нужно удалить командой

Код: Выделить всё

rpm -e --nodeps lib64breezecommon5
а потом установить командой

Код: Выделить всё

urpmi lib64breezecommon5_5
Так что будьте внимательны.
Ничего страшного с ним нет, только поменяется декорация окон по умолчанию, и не будет видно
в настройках «Параметры системы - Оформление приложений - Оформление окон» темы breeze.
После переустановки, как написал выше, всё восстановится.

Kelpee
Сообщения: 92
Зарегистрирован: 18 июл 2016, 21:26
Operating system: ROSA Linux

Неофициальная сборка новой plasma5

Сообщение Kelpee » 18 янв 2019, 13:25

VictorR2007 писал(а):
18 янв 2019, 11:55
Вышла plasma5-5.14.90 https://www.kde.org/announcements/plasma-5.14.90.php
Архив с этой сборкой https://yadi.sk/d/HSr6snBdkZ7Kgg
Благодарю.

Kelpee
Сообщения: 92
Зарегистрирован: 18 июл 2016, 21:26
Operating system: ROSA Linux

Неофициальная сборка новой plasma5

Сообщение Kelpee » 19 янв 2019, 01:48

VictorR2007 писал(а):
18 янв 2019, 11:55
Вышла plasma5-5.14.90 https://www.kde.org/announcements/plasma-5.14.90.php
Архив с этой сборкой https://yadi.sk/d/HSr6snBdkZ7Kgg
В сессии Wayland не работает графический интерфейс установки и удаления программ.
При запуске через консоль командой: /usr/bin/rpmdrake
Выводит ошибку:
Failed to load module "appmenu-gtk-module"
Потом запускается графический интерфейс ввода root-пароля.
После ввода пороля происходит завершение работы программы со следующим сообщением:
No protocol specified
Cannot be run in console mode.
При запуске из меню плазмы - вообще ничего не происходит (даже пороля не спрашивает).
Сеанс Wayland давно не запускал. Поэтому как он себя ведет на других сборках плазмы - сказать не могу.

Аватара пользователя
ans
Сообщения: 2213
Зарегистрирован: 11 сен 2011, 08:42
Operating system: Rosa
Откуда: Ekaterinburg
Контактная информация:

Неофициальная сборка новой plasma5

Сообщение ans » 19 янв 2019, 18:55

VictorR2007 писал(а):
18 янв 2019, 11:55
Вышла plasma5-5.14.90 https://www.kde.org/announcements/plasma-5.14.90.php
Установка не удалась: vlc = 3.0.4 нужен для (установлен)vlc-plugin-speex-3.0.4-3plf.x86_64
vlc = 3.0.4 нужен для (установлен)vlc-plugin-speex-3.0.4-3plf.x86_64
error while checking dependencies
Удаление не помогает
Изображение

Аватара пользователя
VictorR2007
Сообщения: 5549
Зарегистрирован: 12 сен 2011, 13:00
Operating system: ROSA 2016.1
Откуда: Северодвинск

Неофициальная сборка новой plasma5

Сообщение VictorR2007 » 19 янв 2019, 21:17

ans писал(а):
19 янв 2019, 18:55
Установка не удалась: vlc = 3.0.4 нужен для (установлен)vlc-plugin-speex-3.0.4-3plf.x86_64
vlc = 3.0.4 нужен для (установлен)vlc-plugin-speex-3.0.4-3plf.x86_64
error while checking dependencies
Удаление не помогает
Можно обновить пакет vlc-plugin-speex вручную.
Или все пакеты vlc.
Фик знает, что он там ругается.
Может связано с тем, что при сборке vlc-3.0.6 был отключен libbluray.
Кстати, сейчас увидел, что в архиве две версии vlc.
Убрал вообще из архива vlc, чтобы не путал.
Тут отдельный архив без vlc, если кому мешает версия vlc-3.0.6.
https://yadi.sk/d/TtoHVIaii8Zp8Q
Вообще, не планировал vlc ложить в архив, но проглядел. :)

Ответить